|
Class Summary |
| ACTableTag |
A subclass of the display taglib's Table tag, which is ActionContext aware. |
| ActionContextDebugTag |
Displays the content of the current ActionContext. |
| ActionContextStoreTag |
Saves an object from the request to the action context, if it is in the request;
or loads it from the action context to the request otherwise. |
| BeanImgTag |
Renders an html image tag, the url is populated from a bean property. |
| BelongsToTag |
Evaluate the body of this tag only if the user specified by name, property and scope (or the currently logged-on user, if name is not specified) is a member (or not!) of the given group, or is a member of any group with the given group type. |
| BodyRedirectTag |
A custom JSP tag that takes the browser to a specified anchor in the page when it loads. |
| BreadcrumbTag |
This tag displays a breadcrumb from a list of parameters (locations). |
| CheckEditTag |
Check if a user can edit the named session-scoped bean. |
| CheckLogonTag |
Check for a valid User logged on in the current session under
the key RuntimeParameters.getParam("logonUserKey"). |
| CheckViewTag |
Check if a user can view the named session-scoped bean. |
| CountryInputTag |
A custom JSP tag that creates a country input select box containing all the ISO country codes. |
| CountryOutputTag |
A custom JSP tag that outputs the full name of a country, given its ISO code. |
| CrumbTrailTag |
A custom JSP tag that adds the current page to the crumb trail and displays the result. |
| DateDisplayTag |
A custom JSP tag that formats a Date for display. |
| DateInputTag |
A custom JSP tag that creates the input fields necessary to enter a com.RuntimeCollective.webapps.bean.DateBean. |
| DateWidgetTag |
A Date entry widget. |
| DefineTag |
Define a scripting variable based on the value(s) of the specified
bean property. |
| EntityBeanDefineTag |
Defines a scripting variable for the EntityBean corresponding to the
id stored in the specified request parameter. |
| EntityBeanTag |
An abstract class meant to provide a base for tags that use EntityBeans. |
| ExamBoardInputTag |
A custom JSP tag that displays the Exam Board codes |
| FindBeanCollectionTag |
Finds a collection of EntityBean's given the bean type and a named query. |
| HasMembersTag |
Evalute the nested body content of this tag if the specified value
is present on this request, and is an array, map, iterator, enumeration or collection of length>0. |
| HasNoMembersTag |
Evalute the nested body content of this tag if the specified value
is not present on this request, or is an array, collection, iterator, enumeration or map of length=0. |
| HtmlAreaTag |
Display a text area for editing Html text. |
| HtmlInputJSTag |
A custom JSP tag that displays a Java applet for WSIWYG editing of HTML. |
| HtmlInputPostTag |
A custom JSP tag that displays a Java applet for WSIWYG editing of HTML - specifically, the gateway of a resource. |
| HtmlInputTag |
An abstract class for custom JSP tags that display a Java applet for WSIWYG editing of HTML. |
| HtmlTagButtons |
A custom JSP tag that displays buttons which, when clicked, add 'bold', 'italic', and 'underline' html markup tags to the specified input field:
name - The name of the current form. |
| ImageSubmitTag |
A custom JSP tag that produces a submit button which uses an image rather than a button and behaves otherwise the same as SubmitTag, but also has all the same attributes as org.apache.struts.taglib.html.ImageTag
Note this tag will not work if it sits next to a Struts html:submit tag. |
| JsNameLinkTag |
Fixes a nasty LinkTag "feature" that meant that if you specify
"linkName", you can't then specify "src", or anthing else, for that
matter. |
| LoadBeanTag |
A custom JSP tag that sets the request parameters necessary for calling a BeanLoaderAction. |
| ParseTxTokenTag |
Takes a txToken request parameters and sets it as the token
for that request. |
| PlainTextLinkTag |
a custom jsp tag that creates a link to the Runtime Betsie server or another
Betsie server if specified in web.xml or the tag. |
| RefreshEntityBeanTag |
Refreshes an EntityBean stored on the given scope (default: session) under the given
name. |
| RuntimeParametersBaseTag |
Extension to the Struts BaseTag, that renders
the <base> element using
the domain part of the pageRoot RuntimeParameter. |
| ScriptTag |
Generates a script tag for inclusion
|
| SessionInputTag |
Stores an ActionForm property in the session for use in the target action
of the enclosing form. |
| SpacerRowTag |
A JSP tag that displays a table row of spacer images. |
| SubmitTag |
A custom JSP tag that produces a submit button whose label is different from the submitted value. |
| TagUtils |
Utilities for Runtime Struts custom tags. |
| TrackerLinkTag |
a custom jsp tag that creates a link to the Runtime Intranet taking its input either directly from the tag or from RuntimeParameters
projectId - The projectId on the intranet. |
| TreeBreadcrumbTag |
View the breadcrumb trail for a given TreeExtension. |
| TreeSelectTag |
This tag generates a drop-down list from which you can select one element in a tree. |
| TxFormTag |
Outputs an html form which includes a BaseForwardAction transaction token
if one exists for the current request. |
| TxTokenLinkTag |
Appends the current request's transaction token to the generated URL,
if there is one. |
| UpdateSessionTag |
Update the webapps Session of the logged on User, if there are any. |
| WebfolderSelectTag |
A custom JSP tag that creates an input select box containing all
files in the current user's webfolder. |